php进阶编程之gearman(二)安装篇

gearman安装前所需条件:必须安装php
如果没有安装,可以参考博主的lnmp安装篇https://smile.sails.site/article/3
废话不多说,开始安装gearman

安装gearman

首先安装基础依赖包
yum install vim wget gcc gcc-c++ make dos2unix gperf libevent libevent-devel zlib-devel bzip2-devel openssl-devel ncurses-devel    boost boost-devel mysql-devel  libuuid-devel
下载gearman
wget https://launchpad.net/gearmand/1.2/1.1.12/+download/gearmand-1.1.12.tar.gz
解压gearman
tar -xzvf gearmand-1.1.12.tar.gz 
配置gearman
cd gearmand-1.1.12
phpize
./configure
编译安装
make && make install
检查是否安装成功
gearman

如果出现如下图所示,表示安装成功

安装php的gearman扩展

下载gearman扩展包
wget https://github.com/wcgallego/pecl-gearman/archive/master.zip
解压gearman扩展包
unzip master.zip
配置gearman扩展
cd pecl-gearman-master
phpize
./configure
编译安装gearman扩展
make && make install

如果出现下面所示提示,恭喜你扩展安装成功
Installing shared extensions: /usr/lib64/php/modules/

打开php.ini
将gearman.so加入进去

重启php-fpm
systemctl restart php-fpm
测试gearman扩展是否安装成功

使用phpinfo()测试

php中的gearman扩展安装完毕

sails博客
请先登录后发表评论
  • 最新评论
  • 总共0条评论
  • 本站由白俊遥博客程序搭建
  • Laravel-SailsBlog © 2018 www.sails.site 版权所有 ICP证:浙ICP备18032484号
  • 联系邮箱:zhimeng0818@163.com